<?php
/*
Plugin Name: Google Static Map
Plugin URI: http://wp.rosselliot.co.nz/google-static-maps/
Description: Displays a map using the Google Static Maps API.
Version: 1.0
License: GPLv2
Author: Ross Elliot
Author URI: http://wp.rosselliot.co.nz
*/


//tell WP about our shortcode
add_shortcode( 'gsm_google_static_map', 'gsm_google_static_map_shortcode' );


//shortcode function
function gsm_google_static_map_shortcode($atts, $content = NULL){

  $args = shortcode_atts(array(

    //defaults          
    'center' => '41.88,-87.63',
    'zoom' => '14',
    'size' => '400x400',
    'scale' => '1',
    'sensor' => 'false',
    'maptype' => 'roadmap',
    'format' => 'png',
    'markers' => $atts['center']    
  
  ), $atts );

  //show a heading above the map image using the supplied content, if it exists
  if($content != NULL) $map_url = '<h3>' . $content . '</h3>';
   
  //construct map url with img title and alt attributes using supplied content 
  $map_url .= '<img title="' . $content . '" alt="' . $content . '" src="http://maps.googleapis.com/maps/api/staticmap?';
  
  foreach($args as $arg => $value){
  
    $map_url .= $arg . '=' . urlencode($value) . '&';
  
  }
  
  $map_url .= '"/>';
  
  return $map_url;

}
